# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rails db:seed command (or created alongside the database with db:setup).
#
# Examples:
#
#   movies = Movie.create([{ name: 'Star Wars' }, { name: 'Lord of the Rings' }])
#   Character.create(name: 'Luke', movie: movies.first)
# ... rails c
# monster.o

Location.create(
  [
    {name: 'Initus Town', description: "You arrive at Initus Town. The air feels a bit stale (as it's always been)."},
    # Right Path
    {name: 'Forram Village', description: "You arrive at Forram Village. The nostalgic smell of stillage fill the air. People blissfully go on with their daily lives."},
    {name: 'Moha Commerce', description: "You reach the streets of Moha Commerce. Hot winds blow from the Mohahoma Desert. The streets are bustling."},
    {name: 'Mohahoma Desert Camping Site', description: "You set up camp in a safe spot at the desert. The sheer cold of the night makes most living creatures disappear from view."},
    {name: 'Ahom Commerce', description: "You arrive at Ahom Commerce. Though the streets are filled, there are little to no conversations. Even so, the commerce seems prosperous."},
    {name: 'Roobee Town', description: "You arrive at Roobee Town. The air smells like ash and stones. While feel difficulty breathing, people keep on with their normal taks."},
    {name: 'Roobee Mines', description: "After a long climb, you reach Roobee Mines. Sweaty and dirty men are working incessantly. Shiny gems decorate the mine's walls."},
    # Left Path
    {name: 'Humon Town', description: "You reach Humon Town. Evergreen pastures fill the view. All kinds of people fill the streets. While diverse, it does not ever feel chaotic."},
    {name: 'Humon Well', description: "You enter the Humon Well. There is naught but silence. You feel like something valuable is hiding somewhere."},
    {name: 'Veu Mountain Base', description: "You arrive the base of Veu Mountain. An refreshing cool breeze passes through you. You see a huge lake besides the mountain range."},
    {name: 'Veu Town', description: "You finally reach Veu Town. You feel dizzy because of the thin air. Though the air ir cold, there is plenty of sun. People move about slowly through their day."},
    {name: 'Liras Town', description: "You reach Liras Town. The streets and houses seem all very planned. Though it all seems very similar, people seem very productive and content."},
    {name: 'Ekal Lake Basin', description: "You reach the shore of Ekal Lake Basin. You take in the humid air, and appreciate the smell of watered flora."},
    {name: 'Lake Cabin', description: "You decide to make camp at an abandoned cabin. The smell of mold, paired with the intense humidity makes for an opressive, yet calm atmosphere."},
    {name: 'Ekal Village', description: "You arrive at Ekal Village. You see the fields filled with plentiful crops. At the distance, you can see Ohe Volcano."},
    # Paths Converge
    {name: 'Ohe Town', description: "You arrive at Ohe Town. A few people open their hovel's doors to witness your arrival, and then close it soon after. Ohe Volcano stands menacingly in front of you."},
    {name: 'Ohe Volcano Base', description: "After a long trek, you arrive at the base of Ohe Volcano. Though you feel tired, you acknowledge there is a long way ahead."},
    {name: 'Ohe Volcano Core', description: "You reach the volcano's core. You stop feeling the heat, instead feeling intense pressure. You can hardly see ahead. The air around you ignites itself visibly."},
    {name: 'Ohe Ritual Chamber', description: "This is it. You open the humongous doors to the chamber. The air is fresh and pure inside. You feel an chaotic presence ahead. The silence pierces your soul."},
    {name: 'Final Lair'}
  ]
)

Item.create(
  [
    # Tier 1
    {name: 'Bronze Sword', cost: 10, description: 'A basic broze sword.'},
    {name: 'Bronze Staff'},
    {name: 'Bronze Bow'},
    {name: 'Bronze Shield'},
    {name: 'Leather Helmet'},
    {name: 'Leather Clothes'},
    {name: 'Leather Leggings'},
    {name: 'Leather Boots'},
    {name: 'Bronze Bangle'},
    {name: 'Bronze Arrows'},
    {name: 'Mini Health Potion'},
    {name: 'Mini Mana Potion'},
    {name: 'Antidote'},
    {name: 'Cool Gel'},
    # Tier 2
    {name: 'Silver Sword'},
    {name: 'Decorated Staff'},
    {name: "Hunter's Bow"},
    {name: 'Silver Shield'},
    {name: 'Reinforced Helmet'},
    {name: "Apprentice's Hat"},
    {name: 'Goggles'},
    {name: 'Reinforced Armor'},
    {name: 'Robe'},
    {name: 'Reinforced Leggings'},
    {name: 'Reinforced Boots'},
    {name: 'Silver Bangle'},
    {name: 'Bunny Ears'},
    {name: 'Keaton Mask'},
    {name: 'Silver Arrows'},
    {name: 'Health Potion'},
    {name: 'Mana Potion'},
    {name: 'Super Tonic'},
    {name: 'Loud Bird'},
    {name: 'Muscle Stimulant'},
    {name: 'Burning Passion Fruit'},
    # Tier 3
    {name: 'Gilded Sword'},
    {name: 'Vorpal Blade'},
    {name: 'Cerimonial Staff'},
    {name: 'Piercing Staff'},
    {name: "Sniper's Bow"},
    {name: 'Luna Bow'},
    {name: 'Mirror Shield'},
    {name: 'Golden Gauntlets'},
    {name: 'Mythril Helmet'},
    {name: "Sage's Hat"},
    {name: 'Binoculars'},
    {name: 'Mythril Armor'},
    {name: "Sage's Robe"},
    {name: 'Elite Archer Suit'},
    {name: 'Mythril Leggings'},
    {name: 'Mythril Greaves'},
    {name: 'Spider Silk Leggings'},
    {name: 'Spider Silk Boots'},
    {name: 'Golden Bangle'},
    {name: 'Expert Belt'},
    {name: 'Roobee Ruby'},
    {name: 'Mask of Truth'},
    {name: 'External HD'},
    {name: 'Power Bank'},
    {name: 'Golden Arrows'},
    {name: 'Light Arrows'},
    {name: 'Big Health Potion'},
    {name: 'Big Mana Potion'},
    {name: 'Miracle Water'},
    # Tier 4
    {name: 'Falchion'},
    {name: 'Crown Scepter'},
    {name: 'Baretta'}
  ]
)

Special.create(
  [
    # Skills (ordered by: player [knight, mage, archer], monster)
    {target_self:false, power:10, stat:0},
    {target_self:false, power:0, stat:0},
    {target_self:false, power:40, stat:0},
    {target_self:false, power:20, stat:0},
    {target_self:false, power:35, stat:0},
    {target_self:false, power:0, stat:0},
    {target_self:false, power:45, stat:0},
    {target_self:false, power:60, stat:0},
    {target_self:true, power:50, stat:0},
    {target_self:false, power:100, stat:0},
    {target_self:false, power:15, stat:0},
    {target_self:true, power:15, stat:0},
    {target_self:true, power:0, stat:0},
    {target_self:false, power:30, stat:0},
    {target_self:false, power:0, stat:0},
    {target_self:false, power:35, stat:0},
    {target_self:false, power:30, stat:0},
    {target_self:false, power:40, stat:0},
    {target_self:true, power:40, stat:0},
    {target_self:false, power:65, stat:0},
    {target_self:false, power:60, stat:0},
    {target_self:false, power:80, stat:0},
    {target_self:false, power:100, stat:0},
    {target_self:false, power:20, stat:0},
    {target_self:true, power:10, stat:2},
    {target_self:false, power:15, stat:0},
    {target_self:false, power:25, stat:0},
    {target_self:false, power:45, stat:0},
    {target_self:false, power:75, stat:0},
    {target_self:false, power:60, stat:0},
    {target_self:false, power:30, stat:0},
    {target_self:false, power:120, stat:0},
    {target_self:false, power:10, stat:0},
    {target_self:false, power:10, stat:0},
    {target_self:false, power:20, stat:0},
    {target_self:false, power:15, stat:0},
    {target_self:false, power:30, stat:0},
    {target_self:false, power:25, stat:0},
    {target_self:false, power:0, stat:0},
    {target_self:false, power:20, stat:0},
    {target_self:false, power:50, stat:0},
    {target_self:false, power:35, stat:0},
    {target_self:false, power:40, stat:0},
    {target_self:false, power:0, stat:0},
    {target_self:false, power:50, stat:0},
    {target_self:false, power:70, stat:0},
    # Items
    {target_self:true, power:20, stat:0},
    {target_self:true, power:10, stat:1},
    {target_self:true, power:0, stat:0},
    {target_self:true, power:0, stat:0},
    {target_self:true, power:50, stat:0},
    {target_self:true, power:25, stat:1},
    {target_self:true, power:20, stat:2},
    {target_self:true, power:0, stat:0},
    {target_self:true, power:0, stat:0},
    {target_self:true, power:0, stat:0},
    {target_self:true, power:100, stat:0},
    {target_self:true, power:50, stat:1},
    {target_self:true, power:0, stat:0}
  ]
)

Stat.create(
  [
    # Class Bases
    {hp:20, mp:0, ap: 5, str: 7, agi: 3, dex:5, int:2, def:8, luk:6},
    {hp:8, mp:12, ap: 2, str: 3, agi: 6, dex:6, int:9, def:4, luk:8},
    {hp:12, mp:3, ap: 8, str: 5, agi: 9, dex:7, int:3, def:6, luk:10},
    # Class Growths
    {hp:3, mp:0, ap: 1, str: 3, agi: 1, dex:2, int:0, def:2, luk:1},
    {hp:1, mp:3, ap: 1, str: 1, agi: 2, dex:1, int:3, def:1, luk:2},
    {hp:2, mp:1, ap: 2, str: 2, agi: 3, dex:3, int:1, def:1, luk:3},
    # Monsters
    {hp:7, mp:0, ap: 2, str: 3, agi: 4, dex:3, int:1, def:2, luk:1},
    {hp:10, mp:0, ap: 3, str: 5, agi: 1, dex:1, int:1, def:3, luk:1},
    {hp:16, mp:0, ap: 5, str: 4, agi: 2, dex:1, int:2, def:1, luk:3},
    {hp:25, mp:5, ap: 5, str: 9, agi: 15, dex:5, int:3, def:7, luk:5},
    {hp:40, mp:0, ap: 10, str: 15, agi: 1, dex:3, int:1, def:16, luk:2},
    {hp:20, mp:0, ap: 8, str: 11, agi: 12, dex:4, int:4, def:6, luk:4},
    {hp:27, mp:0, ap: 12, str: 12, agi: 16, dex:6, int:3, def:9, luk:1},
    {hp:15, mp:10, ap: 5, str: 6, agi: 13, dex:8, int:12, def:6, luk:9},
    {hp:45, mp:5, ap: 15, str: 21, agi: 9, dex:10, int:5, def:25, luk:11},
    {hp:29, mp:30, ap: 10, str: 14, agi: 21, dex:19, int:22, def:11, luk:19},
    {hp:32, mp:15, ap: 15, str: 17, agi: 17, dex:17, int:12, def:17, luk:17},
    {hp:30, mp:0, ap: 3, str: 12, agi: 2, dex:1, int:1, def:10, luk:1},
    {hp:18, mp:3, ap: 5, str: 9, agi: 5, dex:3, int:2, def:9, luk:4},
    {hp:12, mp:0, ap: 3, str: 8, agi: 10, dex:4, int:1, def:5, luk:3},
    {hp:23, mp:18, ap: 8, str: 10, agi: 8, dex:3, int:7, def:8, luk:4},
    {hp:37, mp:0, ap: 10, str: 15, agi: 6, dex:7, int:1, def:14, luk:6},
    {hp:28, mp:20, ap: 12, str: 14, agi: 15, dex:10, int:18, def:8, luk:10},
    {hp:20, mp:5, ap: 15, str: 12, agi: 17, dex:8, int:8, def:10, luk:7},
    {hp:36, mp:0, ap: 20, str: 19, agi: 7, dex:6, int:10, def:16, luk:9},
    {hp:25, mp:30, ap: 10, str: 9, agi: 10, dex:18, int:23, def:8, luk:20},
    {hp:40, mp:0, ap: 29, str: 20, agi: 17, dex:16, int:6, def:11, luk:4},
    {hp:22, mp:0, ap: 10, str: 11, agi: 9, dex:12, int:2, def:7, luk:10},
    {hp:27, mp:0, ap: 15, str: 12, agi: 2, dex:3, int:1, def:9, luk:1},
    {hp:20, mp:22, ap: 7, str: 4, agi: 20, dex:10, int:21, def:4, luk:12},
    {hp:60, mp:0, ap: 40, str: 35, agi: 20, dex:30, int:20, def:38, luk:30},
    {hp:39, mp:50, ap: 28, str: 12, agi: 34, dex:20, int:31, def:29, luk:50},
    {hp:75, mp:20, ap: 20, str: 30, agi: 16, dex:35, int:27, def:31, luk:40},
    {hp:43, mp:0, ap: 15, str: 26, agi: 45, dex:40, int:16, def:26, luk:20},
    {hp:53, mp:10, ap: 30, str: 31, agi: 30, dex:50, int:23, def:35, luk:35},
    {hp:120, mp:70, ap: 70, str: 45, agi: 45, dex:45, int:45, def:45, luk:100}
  ]
)

Path.create(
  [
    # Right Path
    {departure_id:1, destination_id:2, length:1},
    {departure_id:2, destination_id:1, length:1},
    {departure_id:2, destination_id:3, length:2},
    {departure_id:3, destination_id:2, length:2},
    {departure_id:3, destination_id:4, length:5},
    {departure_id:4, destination_id:3, length:5},
    {departure_id:4, destination_id:5, length:3},
    {departure_id:5, destination_id:4, length:3},
    {departure_id:5, destination_id:6, length:5},
    {departure_id:6, destination_id:5, length:5},
    {departure_id:6, destination_id:7, length:2},
    {departure_id:7, destination_id:6, length:2},
    {departure_id:5, destination_id:16, length:7},
    {departure_id:16, destination_id:5, length:7},
    # Left path
    {departure_id:1, destination_id:8, length:2},
    {departure_id:8, destination_id:1, length:2},
    {departure_id:8, destination_id:9, length:1},
    {departure_id:9, destination_id:8, length:1},
    {departure_id:8, destination_id:10, length:2},
    {departure_id:10, destination_id:8, length:2},
    {departure_id:10, destination_id:11, length:3},
    {departure_id:11, destination_id:10, length:3},
    {departure_id:11, destination_id:12, length:5},
    {departure_id:12, destination_id:11, length:5},
    {departure_id:12, destination_id:16, length:4},
    {departure_id:16, destination_id:12, length:4},

    {departure_id:10, destination_id:13, length:3},
    {departure_id:13, destination_id:10, length:3},
    {departure_id:13, destination_id:14, length:4},
    {departure_id:14, destination_id:13, length:4},
    {departure_id:14, destination_id:15, length:3},
    {departure_id:15, destination_id:14, length:3},
    {departure_id:15, destination_id:16, length:5},
    {departure_id:16, destination_id:15, length:5},

    {departure_id:16, destination_id:17, length:5},
    {departure_id:17, destination_id:16, length:5},
    {departure_id:17, destination_id:18, length:6},
    {departure_id:18, destination_id:17, length:6},
    {departure_id:18, destination_id:19, length:5},
    {departure_id:19, destination_id:18, length:5},
    {departure_id:19, destination_id:20, length:1}
  ]
)

Equipment.create(
  [
    # Tier 1
    {item_id:1, body_slot:6},
    {item_id:2, body_slot:6},
    {item_id:3, body_slot:6},
    {item_id:4, body_slot:5},
    {item_id:5, body_slot:0},
    {item_id:6, body_slot:1},
    {item_id:7, body_slot:2},
    {item_id:8, body_slot:3},
    {item_id:9, body_slot:4},
    {item_id:10, body_slot:7},
    # Tier 2
    {item_id:15, body_slot:6},
    {item_id:16, body_slot:6},
    {item_id:17, body_slot:6},
    {item_id:18, body_slot:5},
    {item_id:19, body_slot:0},
    {item_id:20, body_slot:0},
    {item_id:21, body_slot:0},
    {item_id:22, body_slot:1},
    {item_id:23, body_slot:1},
    {item_id:24, body_slot:2},
    {item_id:25, body_slot:3},
    {item_id:26, body_slot:4},
    {item_id:27, body_slot:4},
    {item_id:28, body_slot:4},
    {item_id:29, body_slot:7},
    # Tier 3
    {item_id:36, body_slot:6},
    {item_id:37, body_slot:6},
    {item_id:38, body_slot:6},
    {item_id:39, body_slot:6},
    {item_id:40, body_slot:6},
    {item_id:41, body_slot:6},
    {item_id:42, body_slot:5},
    {item_id:43, body_slot:5},
    {item_id:44, body_slot:0},
    {item_id:45, body_slot:0},
    {item_id:46, body_slot:0},
    {item_id:47, body_slot:1},
    {item_id:48, body_slot:1},
    {item_id:49, body_slot:1},
    {item_id:50, body_slot:2},
    {item_id:51, body_slot:3},
    {item_id:52, body_slot:2},
    {item_id:53, body_slot:3},
    {item_id:54, body_slot:4},
    {item_id:55, body_slot:4},
    {item_id:56, body_slot:4},
    {item_id:57, body_slot:4},
    {item_id:58, body_slot:4},
    {item_id:59, body_slot:4},
    {item_id:60, body_slot:7},
    {item_id:61, body_slot:7},
    # Tier 4
    {item_id:65, body_slot:6},
    {item_id:66, body_slot:6},
    {item_id:67, body_slot:6}
  ]
)

Consumable.create(
  [
    {item_id:11, special_id:47},
    {item_id:12, special_id:48},
    {item_id:13, special_id:49},
    {item_id:14, special_id:50},
    {item_id:30, special_id:51},
    {item_id:31, special_id:52},
    {item_id:32, special_id:53},
    {item_id:33, special_id:54},
    {item_id:34, special_id:55},
    {item_id:35, special_id:56},
    {item_id:62, special_id:57},
    {item_id:63, special_id:58},
    {item_id:64, special_id:59}
  ]
)

Skill.create(
  [
    {name:'Bash', special_id:1, accuracy:90, cost_amount:3, cost_type:2, ref_stat: 3},
    {name:'Provoke', special_id:2, accuracy:30, cost_amount:4, cost_type:2, ref_stat: 0},
    {name:'Wild Lunge', special_id:3, accuracy:60, cost_amount:6, cost_type:2, ref_stat: 3},
    {name:'Burning Sword', special_id:4, accuracy:95, cost_amount:6, cost_type:2, ref_stat: 3},
    {name:'Skyward Strike', special_id:5, accuracy:100, cost_amount:8, cost_type:2, ref_stat: 3},
    {name:'Cold Gaze', special_id:6, accuracy:65, cost_amount:10, cost_type:2, ref_stat: 0},
    {name:'Fatal Blow', special_id:7, accuracy:80, cost_amount:14, cost_type:2, ref_stat: 3},
    {name:'Invigorate', special_id:8, accuracy:100, cost_amount:9, cost_type:2, ref_stat: 3},
    {name:'Megaslash', special_id:9, accuracy:100, cost_amount:20, cost_type:2, ref_stat: 3},
    {name:'Fireball', special_id:10, accuracy:90, cost_amount:3, cost_type:1, ref_stat: 6},
    {name:'Ice Shard', special_id:11, accuracy:95, cost_amount:4, cost_type:1, ref_stat: 6},
    {name:'Spark', special_id:12, accuracy:75, cost_amount:7, cost_type:1, ref_stat: 6},
    {name:'Heal', special_id:13, accuracy:100, cost_amount:5, cost_type:1, ref_stat: 6},
    {name:'Cure', special_id:14, accuracy:100, cost_amount:8, cost_type:1, ref_stat: 6},
    {name:'Quagmire', special_id:15, accuracy:80, cost_amount:12, cost_type:1, ref_stat: 6},
    {name:'Hypnosis', special_id:16, accuracy:40, cost_amount:15, cost_type:1, ref_stat: 6},
    {name:'Fire Bolt', special_id:17, accuracy:90, cost_amount:14, cost_type:1, ref_stat: 6},
    {name:'Ice Bolt', special_id:18, accuracy:85, cost_amount:16, cost_type:1, ref_stat: 6},
    {name:'Thunderbolt', special_id:19, accuracy:80, cost_amount:17, cost_type:1, ref_stat: 6},
    {name:'Medicate', special_id:20, accuracy:100, cost_amount:12, cost_type:1, ref_stat: 6},
    {name:'Meteor Shower', special_id:21, accuracy:85, cost_amount:21, cost_type:1, ref_stat: 6},
    {name:'Blizzard', special_id:22, accuracy:80, cost_amount:31, cost_type:1, ref_stat: 6},
    {name:'Zap Cannon', special_id:23, accuracy:60, cost_amount:28, cost_type:1, ref_stat: 6},
    
    {name:'Explosion', special_id:24, accuracy:90, cost_amount:40, cost_type:1, ref_stat: 6},
    {name:'Double Strafe', special_id:25, accuracy:95, cost_amount:4, cost_type:2, ref_stat: 5},
    {name:'Concentrate', special_id:26, accuracy:100, cost_amount:0, cost_type:2, ref_stat: 5},
    {name:'Poison Arrow', special_id:27, accuracy:95, cost_amount:6, cost_type:2, ref_stat: 5},
    {name:'Disabling Shot', special_id:28, accuracy:65, cost_amount:10, cost_type:2, ref_stat: 5},
    {name:'Arrow Shower', special_id:29, accuracy:95, cost_amount:14, cost_type:2, ref_stat: 5},
    {name:'Rolling Shot', special_id:30, accuracy:70, cost_amount:11, cost_type:2, ref_stat: 5},
    {name:'Piercing Shot', special_id:31, accuracy:100, cost_amount:19, cost_type:2, ref_stat: 5},
    {name:'Sleep Dart', special_id:32, accuracy:75, cost_amount:25, cost_type:2, ref_stat: 5},
    {name:'Fatal Shot', special_id:33, accuracy:100, cost_amount:32, cost_type:2, ref_stat: 5},
    {name:'Peck', special_id:34, accuracy:100, cost_amount:3, cost_type:2, ref_stat: 3},
    {name:'Poison Stab', special_id:35, accuracy:100, cost_amount:3, cost_type:2, ref_stat: 3},
    {name:'Needle Arm', special_id:36, accuracy:100, cost_amount:3, cost_type:2, ref_stat: 3},
    {name:'Fake Out', special_id:37, accuracy:100, cost_amount:3, cost_type:2, ref_stat: 3},
    {name:'Hammer Arm', special_id:38, accuracy:65, cost_amount:6, cost_type:2, ref_stat: 3},
    {name:'Poison Bite', special_id:39, accuracy:80, cost_amount:6, cost_type:2, ref_stat: 3},
    {name:'Entangle', special_id:40, accuracy:50, cost_amount:6, cost_type:1, ref_stat: 6},
    {name:'Leaf Storm', special_id:41, accuracy:100, cost_amount:9, cost_type:1, ref_stat: 6},
    {name:'Strong Smash', special_id:42, accuracy:75, cost_amount:9, cost_type:2, ref_stat: 3},
    {name:'Bubblebeam', special_id:43, accuracy:100, cost_amount:9, cost_type:1, ref_stat: 6},
    {name:'Iron Fang', special_id:44, accuracy:100, cost_amount:12, cost_type:2, ref_stat: 3},
    {name:'Sing', special_id:45, accuracy:45, cost_amount:5, cost_type:1, ref_stat: 6},
    {name:'Sky Uppecut', special_id:46, accuracy:100, cost_amount:10, cost_type:2, ref_stat: 3},
    {name:'Heavy Hitter', special_id:47, accuracy:80, cost_amount:10, cost_type:2, ref_stat: 3},
  ]
)

Monster.create(
  [
    {name:'Crow',               stat_id:7},
    {name:'Goblin',               stat_id:8},
    {name:'Bandit',               stat_id:9},
    {name:'Cactutcac',              stat_id:10},
    {name:'Sand Golem',               stat_id:11},
    {name:'Scorpion',               stat_id:12},
    {name:'Desert Wolf',              stat_id:13},
    {name:'Rogue Magician',               stat_id:14},
    {name:'Gem Titan',              stat_id:15},
    {name:'Nimbus',               stat_id:16},
    {name:'Harpie',               stat_id:17},
    {name:'Cyclops',              stat_id:18},
    {name:'Shady Merchant',               stat_id:19},
    {name:'Snake',              stat_id:20},
    {name:'Mandragora',               stat_id:21},
    {name:'Junior Golem',               stat_id:22},
    {name:'Merman',               stat_id:23},
    {name:'Piranhax',               stat_id:24},
    {name:'Armored Croc',               stat_id:25},
    {name:'Mermaid',              stat_id:26},
    {name:'Lizard Man',               stat_id:27},
    {name:'Lone Wolf',              stat_id:28},
    {name:'Raging Bison',               stat_id:29},
    {name:'Insane Hermit',              stat_id:30},
    {name:'Golem',              stat_id:31},
    {name:'Master Conjurer',              stat_id:32},
    {name:'Flame Golem',              stat_id:33},
    {name:'Lava Crow',              stat_id:34},
    {name:'Skeleton Knight',              stat_id:35},
    {name:'Dartus',               stat_id:36}
  ]
)

GameClass.create(
  [
    {base_id: 1, growth_id:4, name: 'Swordsman'},
    {base_id: 2, growth_id:5, name: 'Mage'},
    {base_id: 3, growth_id:6, name: 'Archer'}
  ]
)

RelMonsterPath.create(
  [
    {path_id:1, monster_id:1, min_level:1, max_level:5},
    {path_id:2, monster_id:1, min_level:1, max_level:5},
    {path_id:1, monster_id:2, min_level:2, max_level:5},
    {path_id:2, monster_id:2, min_level:2, max_level:5},
    {path_id:3, monster_id:1, min_level:1, max_level:5},
    {path_id:4, monster_id:1, min_level:1, max_level:5},
    {path_id:3, monster_id:2, min_level:2, max_level:5},
    {path_id:4, monster_id:2, min_level:2, max_level:5},
    {path_id:3, monster_id:3, min_level:2, max_level:5},
    {path_id:4, monster_id:3, min_level:2, max_level:5},
    {path_id:5, monster_id:3, min_level:1, max_level:4},
    {path_id:6, monster_id:3, min_level:1, max_level:4},
    {path_id:5, monster_id:4, min_level:3, max_level:6},
    {path_id:6, monster_id:4, min_level:3, max_level:6},
    {path_id:5, monster_id:6, min_level:3, max_level:6},
    {path_id:6, monster_id:6, min_level:3, max_level:6},
    {path_id:5, monster_id:8, min_level:5, max_level:10},
    {path_id:6, monster_id:8, min_level:5, max_level:10},
    {path_id:7, monster_id:8, min_level:1, max_level:4},
    {path_id:8, monster_id:8, min_level:1, max_level:4},
    {path_id:7, monster_id:7, min_level:3, max_level:6},
    {path_id:8, monster_id:7, min_level:3, max_level:6},
    {path_id:7, monster_id:5, min_level:5, max_level:12},
    {path_id:8, monster_id:5, min_level:5, max_level:12},
    {path_id:9, monster_id:5, min_level:1, max_level:10},
    {path_id:10, monster_id:5, min_level:1, max_level:10},
    {path_id:9, monster_id:10, min_level:5, max_level:12},
    {path_id:10, monster_id:10, min_level:5, max_level:12},
    {path_id:9, monster_id:11, min_level:6, max_level:15},
    {path_id:10, monster_id:11, min_level:6, max_level:15},
    {path_id:9, monster_id:9, min_level:7, max_level:15},
    {path_id:10, monster_id:9, min_level:7, max_level:15},
    {path_id:11, monster_id:9, min_level:1, max_level:35},
    {path_id:12, monster_id:9, min_level:1, max_level:35},
    {path_id:13, monster_id:9, min_level:1, max_level:20},
    {path_id:14, monster_id:9, min_level:1, max_level:20},
    {path_id:13, monster_id:25, min_level:12, max_level:25},
    {path_id:14, monster_id:25, min_level:12, max_level:25},
    {path_id:13, monster_id:23, min_level:10, max_level:20},
    {path_id:14, monster_id:23, min_level:10, max_level:20},
    {path_id:15, monster_id:1, min_level:1, max_level:5},
    {path_id:16, monster_id:1, min_level:1, max_level:5},
    {path_id:15, monster_id:2, min_level:2, max_level:5},
    {path_id:16, monster_id:2, min_level:2, max_level:5},
    {path_id:15, monster_id:13, min_level:2, max_level:8},
    {path_id:16, monster_id:3, min_level:2, max_level:8},
    {path_id:17, monster_id:29, min_level:1, max_level:40},
    {path_id:19, monster_id:14, min_level:1, max_level:8},
    {path_id:20, monster_id:14, min_level:1, max_level:8},
    {path_id:19, monster_id:15, min_level:4, max_level:10},
    {path_id:20, monster_id:15, min_level:4, max_level:10},
    {path_id:19, monster_id:16, min_level:6, max_level:12},
    {path_id:20, monster_id:16, min_level:6, max_level:12},
    {path_id:21, monster_id:16, min_level:1, max_level:12},
    {path_id:22, monster_id:16, min_level:1, max_level:12},
    {path_id:21, monster_id:21, min_level:10, max_level:18},
    {path_id:22, monster_id:21, min_level:10, max_level:18},
    {path_id:23, monster_id:22, min_level:1, max_level:20},
    {path_id:24, monster_id:22, min_level:1, max_level:20},
    {path_id:23, monster_id:23, min_level:10, max_level:22},
    {path_id:24, monster_id:23, min_level:10, max_level:22},
    {path_id:23, monster_id:24, min_level:12, max_level:22},
    {path_id:24, monster_id:24, min_level:12, max_level:22},
    {path_id:25, monster_id:24, min_level:1, max_level:25},
    {path_id:26, monster_id:24, min_level:1, max_level:25},
    {path_id:25, monster_id:31, min_level:15, max_level:8},
    {path_id:26, monster_id:31, min_level:15, max_level:8},
    {path_id:27, monster_id:15, min_level:1, max_level:8},
    {path_id:28, monster_id:15, min_level:1, max_level:8},
    {path_id:27, monster_id:18, min_level:4, max_level:10},
    {path_id:28, monster_id:18, min_level:4, max_level:10},
    {path_id:29, monster_id:17, min_level:1, max_level:15},
    {path_id:30, monster_id:17, min_level:1, max_level:15},
    {path_id:29, monster_id:20, min_level:6, max_level:17},
    {path_id:30, monster_id:20, min_level:6, max_level:17},
    {path_id:29, monster_id:19, min_level:7, max_level:20},
    {path_id:30, monster_id:19, min_level:7, max_level:20},
    {path_id:31, monster_id:19, min_level:1, max_level:15},
    {path_id:32, monster_id:19, min_level:1, max_level:15},
    {path_id:31, monster_id:21, min_level:9, max_level:22},
    {path_id:32, monster_id:21, min_level:9, max_level:22},
    {path_id:33, monster_id:21, min_level:1, max_level:25},
    {path_id:34, monster_id:21, min_level:1, max_level:25},
    {path_id:33, monster_id:25, min_level:11, max_level:30},
    {path_id:34, monster_id:25, min_level:11, max_level:30},
    {path_id:35, monster_id:24, min_level:1, max_level:24},
    {path_id:36, monster_id:24, min_level:1, max_level:24},
    {path_id:35, monster_id:22, min_level:1, max_level:24},
    {path_id:36, monster_id:22, min_level:1, max_level:24},
    {path_id:35, monster_id:25, min_level:15, max_level:50},
    {path_id:36, monster_id:25, min_level:15, max_level:50},
    {path_id:37, monster_id:25, min_level:1, max_level:50},
    {path_id:38, monster_id:25, min_level:1, max_level:50},
    {path_id:37, monster_id:28, min_level:1, max_level:50},
    {path_id:38, monster_id:28, min_level:1, max_level:50},
    {path_id:37, monster_id:27, min_level:1, max_level:50},
    {path_id:38, monster_id:27, min_level:1, max_level:50},
    {path_id:39, monster_id:26, min_level:1, max_level:50},
    {path_id:40, monster_id:26, min_level:1, max_level:50},
    {path_id:39, monster_id:27, min_level:1, max_level:50},
    {path_id:40, monster_id:27, min_level:1, max_level:50},
    {path_id:39, monster_id:29, min_level:1, max_level:50},
    {path_id:40, monster_id:29, min_level:1, max_level:50},
    {path_id:41, monster_id:30, min_level:1, max_level:100}
  ]
)

RelItemMonster.create(
  [
    # Line separation means different monsters
    {item_id:11, monster_id:1, chance:0.75},
    {item_id:12, monster_id:1, chance:0.5},

    {item_id:1, monster_id:2, chance:0.3},
    {item_id:4, monster_id:2, chance:0.3},
    {item_id:9, monster_id:2, chance:0.15},
    {item_id:10, monster_id:2, chance:0.5},

    {item_id:1, monster_id:3, chance:0.5},
    {item_id:2, monster_id:3, chance:0.5},
    {item_id:3, monster_id:3, chance:0.5},
    {item_id:4, monster_id:3, chance:0.5},
    {item_id:5, monster_id:3, chance:0.5},
    {item_id:6, monster_id:3, chance:0.5},
    {item_id:7, monster_id:3, chance:0.5},
    {item_id:8, monster_id:3, chance:0.5},
    {item_id:11, monster_id:3, chance:0.8},
    {item_id:12, monster_id:3, chance:0.8},

    {item_id:13, monster_id:4, chance:0.2},
    {item_id:14, monster_id:4, chance:0.2},
    {item_id:16, monster_id:4, chance:0.1},
    {item_id:21, monster_id:4, chance:0.15},
    {item_id:11, monster_id:4, chance:0.8},
    {item_id:12, monster_id:4, chance:0.8},

    {item_id:15, monster_id:5, chance:0.25},
    {item_id:18, monster_id:5, chance:0.25},
    {item_id:22, monster_id:5, chance:0.25},
    {item_id:11, monster_id:5, chance:0.8},
    {item_id:12, monster_id:5, chance:0.8},

    {item_id:17, monster_id:6, chance:0.25},
    {item_id:24, monster_id:6, chance:0.25},
    {item_id:25, monster_id:6, chance:0.3},
    {item_id:26, monster_id:6, chance:0.3},
    {item_id:11, monster_id:6, chance:0.8},
    {item_id:12, monster_id:6, chance:0.8},

    {item_id:15, monster_id:7, chance:0.2},
    {item_id:16, monster_id:7, chance:0.2},
    {item_id:17, monster_id:7, chance:0.2},
    {item_id:28, monster_id:7, chance:0.1},
    {item_id:29, monster_id:7, chance:0.3},
    {item_id:11, monster_id:7, chance:0.8},

    {item_id:16, monster_id:8, chance:0.4},
    {item_id:23, monster_id:8, chance:0.3},
    {item_id:20, monster_id:8, chance:0.2},
    {item_id:27, monster_id:8, chance:0.1},
    {item_id:11, monster_id:8, chance:0.8},

    {item_id:36, monster_id:9, chance:0.2},
    {item_id:42, monster_id:9, chance:0.1},
    {item_id:43, monster_id:9, chance:0.1},
    {item_id:57, monster_id:9, chance:0.2},
    {item_id:30, monster_id:9, chance:0.6},
    {item_id:31, monster_id:9, chance:0.6},

    {item_id:41, monster_id:10, chance:0.2},
    {item_id:59, monster_id:10, chance:0.1},
    {item_id:30, monster_id:10, chance:0.6},
    {item_id:31, monster_id:10, chance:0.6},

    {item_id:49, monster_id:11, chance:0.1},
    {item_id:60, monster_id:11, chance:0.15},
    {item_id:61, monster_id:11, chance:0.15},
    {item_id:30, monster_id:11, chance:0.6},
    {item_id:31, monster_id:11, chance:0.6},

    {item_id:17, monster_id:12, chance:0.2},
    {item_id:19, monster_id:12, chance:0.2},
    {item_id:25, monster_id:12, chance:0.2},
    {item_id:30, monster_id:12, chance:0.6},
    {item_id:31, monster_id:12, chance:0.6},

    {item_id:13, monster_id:13, chance:0.6},
    {item_id:30, monster_id:13, chance:0.05},
    {item_id:31, monster_id:13, chance:0.05},

    {item_id:15, monster_id:14, chance:0.2},
    {item_id:16, monster_id:14, chance:0.2},
    {item_id:17, monster_id:14, chance:0.2},
    {item_id:18, monster_id:14, chance:0.2},
    {item_id:30, monster_id:14, chance:0.6},
    {item_id:31, monster_id:14, chance:0.6},

    {item_id:23, monster_id:15, chance:0.3},
    {item_id:30, monster_id:15, chance:0.6},
    {item_id:31, monster_id:15, chance:0.6},

    {item_id:22, monster_id:16, chance:0.3},
    {item_id:33, monster_id:16, chance:0.2},
    {item_id:30, monster_id:16, chance:0.6},
    {item_id:31, monster_id:16, chance:0.6},

    {item_id:27, monster_id:17, chance:0.1},
    {item_id:34, monster_id:17, chance:0.1},
    {item_id:30, monster_id:17, chance:0.6},
    {item_id:31, monster_id:17, chance:0.6},

    {item_id:21, monster_id:18, chance:0.4},
    {item_id:30, monster_id:18, chance:0.6},
    {item_id:31, monster_id:18, chance:0.6},

    {item_id:18, monster_id:19, chance:0.1},
    {item_id:19, monster_id:19, chance:0.2},
    {item_id:30, monster_id:19, chance:0.6},
    {item_id:31, monster_id:19, chance:0.6},

    {item_id:27, monster_id:20, chance:0.3},
    {item_id:30, monster_id:20, chance:0.6},
    {item_id:31, monster_id:20, chance:0.6},

    {item_id:44, monster_id:21, chance:0.1},
    {item_id:30, monster_id:21, chance:0.6},
    {item_id:31, monster_id:21, chance:0.6},

    {item_id:46, monster_id:22, chance:0.2},
    {item_id:30, monster_id:22, chance:0.6},
    {item_id:31, monster_id:22, chance:0.6},

    {item_id:55, monster_id:23, chance:0.2},
    {item_id:62, monster_id:23, chance:0.2},
    {item_id:63, monster_id:23, chance:0.2},

    {item_id:48, monster_id:24, chance:0.2},
    {item_id:57, monster_id:24, chance:0.1},
    {item_id:62, monster_id:24, chance:0.2},
    {item_id:63, monster_id:24, chance:0.2},
    {item_id:42, monster_id:25, chance:0.1},
    {item_id:62, monster_id:25, chance:0.2},
    {item_id:63, monster_id:25, chance:0.2},
    {item_id:52, monster_id:26, chance:0.2},
    {item_id:53, monster_id:26, chance:0.2},
    {item_id:66, monster_id:26, chance:0.1},
    {item_id:62, monster_id:26, chance:0.2},
    {item_id:63, monster_id:26, chance:0.2},
    {item_id:67, monster_id:27, chance:0.1},
    {item_id:62, monster_id:27, chance:0.2},
    {item_id:63, monster_id:27, chance:0.2},
    {item_id:58, monster_id:28, chance:0.1},
    {item_id:62, monster_id:28, chance:0.2},
    {item_id:63, monster_id:28, chance:0.2},
    {item_id:65, monster_id:29, chance:0.3},
    {item_id:44, monster_id:29, chance:0.3},
    {item_id:50, monster_id:29, chance:0.3},
    {item_id:51, monster_id:29, chance:0.3},
    {item_id:54, monster_id:29, chance:0.3},
    {item_id:62, monster_id:29, chance:0.2},
    {item_id:63, monster_id:29, chance:0.2},
  ]
)

RelClassSkill.create(
  [
    {game_class_id:1, skill_id:1, level:1},
    {game_class_id:1, skill_id:2, level:3},
    {game_class_id:1, skill_id:3, level:4},
    {game_class_id:1, skill_id:4, level:6},
    {game_class_id:1, skill_id:5, level:9},
    {game_class_id:1, skill_id:6, level:11},
    {game_class_id:1, skill_id:7, level:13},
    {game_class_id:1, skill_id:8, level:16},
    {game_class_id:1, skill_id:9, level:20},
    {game_class_id:2, skill_id:10, level:1},
    {game_class_id:2, skill_id:11, level:1},
    {game_class_id:2, skill_id:12, level:3},
    {game_class_id:2, skill_id:13, level:4},
    {game_class_id:2, skill_id:14, level:5},
    {game_class_id:2, skill_id:15, level:7},
    {game_class_id:2, skill_id:16, level:9},
    {game_class_id:2, skill_id:17, level:10},
    {game_class_id:2, skill_id:18, level:12},
    {game_class_id:2, skill_id:19, level:14},
    {game_class_id:2, skill_id:20, level:15},
    {game_class_id:2, skill_id:21, level:17},
    {game_class_id:2, skill_id:22, level:19},
    {game_class_id:2, skill_id:23, level:21},
    {game_class_id:2, skill_id:24, level:25},
    {game_class_id:3, skill_id:25, level:1},
    {game_class_id:3, skill_id:26, level:3},
    {game_class_id:3, skill_id:27, level:4},
    {game_class_id:3, skill_id:28, level:7},
    {game_class_id:3, skill_id:29, level:10},
    {game_class_id:3, skill_id:30, level:13},
    {game_class_id:3, skill_id:31, level:15},
    {game_class_id:3, skill_id:32, level:18},
    {game_class_id:3, skill_id:33, level:22}
  ]
)

RelMonsterSkill.create(
  [
    {monster_id:1, skill_id:34},
    {monster_id:2, skill_id:1},
    {monster_id:3, skill_id:1},
    {monster_id:4, skill_id:36},
    {monster_id:5, skill_id:38},
    {monster_id:6, skill_id:35},
    {monster_id:7, skill_id:37},
    {monster_id:8, skill_id:10},
    {monster_id:8, skill_id:12},
    {monster_id:9, skill_id:42},
    {monster_id:10, skill_id:19},
    {monster_id:11, skill_id:46},
    {monster_id:12, skill_id:38},
    {monster_id:13, skill_id:35},
    {monster_id:14, skill_id:39},
    {monster_id:15, skill_id:40},
    {monster_id:15, skill_id:41},
    
    {monster_id:16, skill_id:42},
    {monster_id:17, skill_id:43},
    {monster_id:18, skill_id:44},
    {monster_id:19, skill_id:3},
    {monster_id:20, skill_id:7},
    {monster_id:21, skill_id:46},
    {monster_id:22, skill_id:44},
    {monster_id:23, skill_id:3},
    {monster_id:24, skill_id:18},
    {monster_id:25, skill_id:42},
    {monster_id:26, skill_id:23},
    {monster_id:27, skill_id:47},
    {monster_id:28, skill_id:46},
    {monster_id:29, skill_id:9},
    {monster_id:30, skill_id:47},
    {monster_id:30, skill_id:21},
    {monster_id:30, skill_id:24}

  ]
)

Buff.create(
  [
    # Tier 1
    {equipment_id:1, stat:3, amount:3},
    {equipment_id:2, stat:6, amount:3},
    {equipment_id:3, stat:5, amount:3},
    {equipment_id:4, stat:7, amount:1},
    {equipment_id:5, stat:7, amount:1},
    {equipment_id:6, stat:7, amount:3},
    {equipment_id:7, stat:7, amount:2},
    {equipment_id:8, stat:7, amount:1},
    {equipment_id:8, stat:4, amount:2},
    {equipment_id:9, stat:7, amount:1},
    {equipment_id:10, stat:3, amount:2},
    # Tier 2
    {equipment_id:11, stat:3, amount:7},
    {equipment_id:12, stat:6, amount:6},
    {equipment_id:13, stat:5, amount:8},
    {equipment_id:14, stat:7, amount:2},
    {equipment_id:15, stat:7, amount:3},
    {equipment_id:15, stat:4, amount:-1},
    {equipment_id:16, stat:7, amount:1},
    {equipment_id:16, stat:6, amount:1},
    {equipment_id:17, stat:7, amount:2},
    {equipment_id:17, stat:5, amount:1},
    {equipment_id:18, stat:7, amount:10},
    {equipment_id:18, stat:4, amount:-4},
    {equipment_id:19, stat:7, amount:5},
    {equipment_id:20, stat:7, amount:4},
    {equipment_id:20, stat:4, amount:-1},
    {equipment_id:21, stat:7, amount:3},
    {equipment_id:21, stat:4, amount:-1},
    {equipment_id:22, stat:7, amount:2},
    {equipment_id:22, stat:8, amount:2},
    {equipment_id:23, stat:6, amount:2},
    {equipment_id:24, stat:5, amount:3},
    {equipment_id:25, stat:3, amount:3},
    # Tier 3
    {equipment_id:26, stat:3, amount:15},
    {equipment_id:27, stat:3, amount:11},
    {equipment_id:27, stat:4, amount:5},
    {equipment_id:28, stat:6, amount:13},
    {equipment_id:29, stat:6, amount:9},
    {equipment_id:29, stat:3, amount:12},
    {equipment_id:30, stat:5, amount:20},
    {equipment_id:30, stat:6, amount:10},
    {equipment_id:30, stat:4, amount:-8},
    {equipment_id:31, stat:5, amount:14},
    {equipment_id:32, stat:7, amount:6},
    {equipment_id:33, stat:3, amount:5},
    {equipment_id:34, stat:7, amount:5},
    {equipment_id:34, stat:4, amount:-3},
    {equipment_id:35, stat:7, amount:3},
    
    {equipment_id:35, stat:6, amount:5},
    {equipment_id:36, stat:7, amount:4},
    {equipment_id:36, stat:5, amount:3},
    {equipment_id:37, stat:7, amount:21},
    {equipment_id:37, stat:4, amount:-8},
    {equipment_id:38, stat:7, amount:9},
    {equipment_id:38, stat:6, amount:4},
    {equipment_id:39, stat:7, amount:14},
    {equipment_id:40, stat:7, amount:11},
    {equipment_id:40, stat:4, amount:-4},
    {equipment_id:41, stat:7, amount:7},
    {equipment_id:41, stat:4, amount:-3},
    {equipment_id:42, stat:7, amount:6},
    {equipment_id:42, stat:4, amount:2},
    {equipment_id:43, stat:7, amount:4},
    {equipment_id:43, stat:4, amount:1},
    {equipment_id:44, stat:7, amount:5},
    {equipment_id:44, stat:8, amount:10},
    {equipment_id:45, stat:3, amount:4},
    {equipment_id:46, stat:8, amount:20},
    {equipment_id:47, stat:5, amount:10},
    {equipment_id:48, stat:6, amount:12},
    {equipment_id:49, stat:0, amount:20},
    {equipment_id:50, stat:3, amount:5},
    {equipment_id:51, stat:3, amount:8},
    # Tier 4
    {equipment_id:52, stat:3, amount:30},
    {equipment_id:53, stat:6, amount:28},
    {equipment_id:54, stat:5, amount:35}
  ]
)

Effect.create(
  [
    {name:'Burn'},
    {name:'Freeze'},
    {name:'Paralyze'},
    {name:'Poison'},
    {name:'Sleep'}
  ]
)

RelEffectSpecial.create(
  [
    {chance:0.3,     effect_id:3,    special_id:2},
    {chance:0.15,    effect_id:1,    special_id:4},
    {chance:0.4,     effect_id:2,    special_id:6},
    {chance:0.1,     effect_id:1,    special_id:10},
    {chance:0.1,     effect_id:2,    special_id:11},
    {chance:0.1,     effect_id:3,    special_id:12},
    {chance:0.2,     effect_id:4,    special_id:15},
    {chance:0.65,    effect_id:5,    special_id:16},
    {chance:0.2,     effect_id:1,    special_id:17},
    {chance:0.2,     effect_id:2,    special_id:18},
    {chance:0.2,     effect_id:3,    special_id:19},
    {chance:0.3,     effect_id:1,    special_id:21},
    {chance:0.3,     effect_id:2,    special_id:22},
    {chance:0.3,     effect_id:3,    special_id:23},
    {chance:0.3,     effect_id:4,    special_id:27},
    {chance:0.25,    effect_id:3,    special_id:28},
    {chance:0.5,     effect_id:5,    special_id:32},
    {chance:0.5,     effect_id:4,    special_id:35},
    {chance:0.5,     effect_id:4,    special_id:39},
    {chance:0.8,     effect_id:3,    special_id:40},
    {chance:0.5,     effect_id:5,    special_id:45}
  ]
)
